Pular para o conteúdo

/api/v1/agents/{agentId}/mcps/{mcpId}

DELETE
/api/v1/agents/{agentId}/mcps/{mcpId}
curl --request DELETE \
--url https://api.endless.zaia.app/api/v1/agents/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/mcps/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0

Detaches an MCP from an agent.

agentId
required

A UUID v4 string that identifies an entity.

string format: uuid

A UUID v4 string that identifies an entity.

mcpId
required

A UUID v4 string that identifies an entity.

string format: uuid

A UUID v4 string that identifies an entity.

The MCP was removed from the agent.

Media typeapplication/json
object
message
required

An informative message for a call that has no effective result to be returned.

string
Examplegenerated
{
"message": "example"
}

Unauthorized.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

Agent or MCP not found.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}